Bug 138 - Particular unicode charsets forces windows to restart samba connection
Particular unicode charsets forces windows to restart samba connection
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.0preX
All Windows XP
: P2 major
: none
Assigned To: Alexander Bokovoy
http://www.creationsnet.com
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-30 15:39 UTC by Jonathan
Modified: 2005-11-14 09:24 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan 2003-05-30 15:39:27 UTC
When entering particular unicode charsets into the m$ explorer, there will be 
a denial of access to the particular file/folder. Attempts to access this 
folder/file with this particular charset will follow in a reset in connection 
on CIFS. Example Charset which causes restart is below:

"I am...(”Ó‰]ˆä)"

(turn on unicode to view text)
Comment 1 Robin Johnson 2003-06-03 21:55:18 UTC
Confirmed to still be in the 2003/05/28 CVS snapshot.
Confirmed with WinNT4, Win2K, WinXP as clients.

This shouldn't be a showstopper for beta1, but could somebody please look at it 
for later betas?
Comment 2 Tim Potter 2003-06-12 21:52:37 UTC
Is there a panic message in the samba log file?  If the CIFS connection is being
reset then that usually indicates that smbd is segfaulting.

If you can get a stack backtrace that would be very useful as well.
Comment 3 Jonathan 2003-07-06 23:55:51 UTC
this is the logs from BETA2 samba 3.0: (anisole.log [my computer])

[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name rhosts!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name hostsequiv!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam_ignoredomain!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name unix!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name winbind!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name smbserver!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name trustdomain!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name ntdomain!
[2003/07/06 23:50:36, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name guest!
[2003/07/06 23:50:37, 1] smbd/service.c:make_connection_snum(692)
  anisole (192.168.1.2) connect to service Creations-Music initially as user 
jkwan (uid=1004, gid=100) (pid 13379)

Comment 4 Gerald (Jerry) Carter 2003-07-15 09:33:34 UTC
moving to extended character component
Comment 5 Alexander Bokovoy 2003-07-15 10:30:49 UTC
Could you please show your smb.conf settings for:
unix charset
display charset
dos charset

And also describe your Samba system: OS distribution type, glibc version (if
used), libiconv version (if on non-glibc system).
Comment 6 Robin Johnson 2003-07-15 14:19:18 UTC
Only one charset setting is specified in smb.conf:
unix charset = UTF-8

System is a very up to date Gentoo on the unstable x86 tree.

As for glibc, it's GLIBC-2.3.2-r1

To see the patches applied to GLIBC.
Look up the 'src_unpack' function on this URL:
http://owl.gentoo.org/cgi-bin/viewcvs.cgi/gentoo-x86/sys-libs/glibc/glibc-2.3.2-
r1.ebuild?rev=1.11&content-type=text/vnd.viewcvs-markup

Comment 7 Jonathan 2003-07-15 21:34:02 UTC
[global]
        unix charset = UTF-8
        server string = Creations Server
        workgroup = @creations
        interfaces = eth0
        passwd program = /usr/bin/passwd %u
        passwd chat = *New*password* %n\n *Retype*new*password* %n\n 
*passwd:*all*authent$
        username map = /etc/samba/user.map
        smb passwd file = /etc/samba/smbpasswd
        unix password sync = Yes
        log file = /var/log/samba/%m.log
        max log size = 0
        name resolve order = wins bcast lmhosts host
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        os level = 65
        dns proxy = No
        wins support = Yes
        ldap ssl = Yes
        preload = tmp
        hosts allow = 192.168.1., 127.0.0.1, 24.84.75.241
        printing = cups
        mangled names = No

[printers]
        comment = All Printers
        path = /var/spool/samba
        printable = Yes
        browseable = Yes

[Creations-Games]
        comment = Creations Game Server
        path = /mnt/games
        read only = No
        guest ok = Yes

[Creations-Documents]
        comment = Creations Documents
        path = /mnt/documents
        read only = No
        guest ok = Yes

[Creations-Music]
        comment = Creations Music Server
        path = /mnt/music
        read only = No
        guest ok = Yes

[Creations-Data]
        comment = Creations Music Server
        path = /mnt/data
        read only = No
        guest ok = Yes

[Creations-Webserver]
        comment = Creations Webserver
        path = /mnt/webserver
        read only = No
        guest ok = Yes

[BrotherHL-660]
        comment = Creations Network Brother HL-660
        path = /var/spool/samba
        writeable = yes
        printable = Yes
        printer name = BrotherHL-660
        oplocks = No
        share modes = Yes
        available = yes
        browseable = yes
        guest ok = no
        postscript = no
        max print jobs = 0
        guest account = adm
        min print space = 0
        status = no

[EpsonLQ-850]
        comment = Creations Network Epson LQ-850
        path = /var/spool/samba
        writeable = yes
        printable = Yes
        printer name = EpsonLQ-850
        oplocks = No
        share modes = Yes
        available = yes
        browseable = yes
        guest ok = no
        postscript = no
        max print jobs = 0
        guest account = adm
        min print space = 0
        status = no
Comment 8 Jonathan 2003-07-16 20:01:49 UTC
Suggested by Vorion to post 192.168.1.2.log:

[2003/07/16 19:59:53, 0] lib/util_sock.c:get_socket_addr(895)
  getpeername failed. Error was Transport endpoint is not connected
[2003/07/16 19:59:53, 0] lib/access.c:check_access(329)
[2003/07/16 19:59:53, 0] lib/util_sock.c:get_socket_addr(895)
  getpeername failed. Error was Transport endpoint is not connected
  Denied connection from  (0.0.0.0)
[2003/07/16 19:59:53, 1] smbd/process.c:process_smb(875)
[2003/07/16 19:59:53, 0] lib/util_sock.c:get_socket_addr(895)
  getpeername failed. Error was Transport endpoint is not connected
  Connection denied from 0.0.0.0
[2003/07/16 19:59:53, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2003/07/16 19:59:53, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 5 bytes to socket 5: ERRNO = Connection reset by 
peer
[2003/07/16 19:59:53, 0] lib/util_sock.c:send_smb(574)
  Error writing 5 bytes to client. -1. (Connection reset by peer)
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name rhosts!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name hostsequiv!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam_ignoredomain!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name unix!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name winbind!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name smbserver!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name trustdomain!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name ntdomain!
[2003/07/16 19:59:53, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name guest!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name rhosts!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name hostsequiv!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam_ignoredomain!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name unix!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name winbind!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name smbserver!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name trustdomain!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name ntdomain!
[2003/07/16 19:59:54, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name guest!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name rhosts!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name hostsequiv!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam_ignoredomain!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name unix!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name winbind!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name smbserver!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name trustdomain!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name ntdomain!
[2003/07/16 19:59:55, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name guest!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name rhosts!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name hostsequiv!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name sam_ignoredomain!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name unix!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name winbind!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name smbserver!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name trustdomain!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name ntdomain!
[2003/07/16 19:59:56, 0] auth/auth.c:smb_register_auth(48)
  There already is an auth method registered with the name guest!
Comment 9 Jonathan 2003-08-24 11:34:39 UTC
bug appears to be resolved, please change bug status to being fixed.
Comment 10 Jeremy Allison 2003-08-27 16:30:17 UTC
User reports bug as fixed. Closing.
Jeremy.
Comment 11 Gerald (Jerry) Carter 2005-02-07 08:40:27 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 12 Gerald (Jerry) Carter 2005-08-24 10:15:31 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 13 Gerald (Jerry) Carter 2005-11-14 09:24:10 UTC
database cleanup